import { onMode } from '../../model/enum/';
import { Page, Browser } from 'puppeteer';
import { scraping } from './scraping.layes';
import { CreateOptions } from '../../model/interface';
export declare class ListenerLayer extends scraping {
    page: Page;
    browser: Browser;
    options: CreateOptions;
    statusFind: any;
    constructor(page: Page, browser: Browser, options: CreateOptions);
    qrCodeScan(): Promise<void>;
    onChange(event: (status: any) => void): Promise<void>;
    initModeInterfaceChange(): Promise<void>;
    private listenerEmitter;
    initLitener(): Promise<void>;
    on(type: onMode, callback: (state: any) => void): Promise<void>;
    private listener;
}
